function imageOut = imageDrawCircle(imageIn,pos,radius,color)
% Draw a circle on an image

% IMAGEOUT = IMAGEDRAWCIRCLE(IMAGESIN,POS,RADIUS,COLOR) returns a copy of 
% IMAGEIN with a cicle drawn at position POS, with radius RADIUS and color
% COLOR (3 components ranging in [0,255]). (brute force method)
%
% Copyright (C) by University Paris-Est - Vincent NOZICK   
% Mail : nozick@univ-mlv.fr
%   
% This source code is free software; you can redistribute it and/or modify
% it under the terms of the GNU Lesser General Public License as published by
% the Free Software Foundation; either version 3 of the License, or
% (at your option) any later version.
%
% This source code is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
% GNU Lesser General Public License for more details.
%
% You should have received a copy of the GNU Lesser General Public License
% along with this program. If not, see <http://www.gnu.org/licenses/>.
% 
% Author : Vincent Nozick (nozick@univ-mlv.fr)

% copy the image
imageOut = imageIn;

% bounds of the cirlce
xMin = max(pos(2)-radius,1);
xMax = min(pos(2)+radius, size(imageIn,1));
yMin = max(pos(1)-radius,1);
yMax = min(pos(1)+radius, size(imageIn,2));

% squared radius
r2 = radius*radius;
 	
% draw the circle with brute force
for x = xMin:xMax
    rx = abs(pos(2) - x);
 	rx = rx * rx;
    for y = yMin:yMax
        ry = abs(pos(1) - y);
        if (rx + ry*ry) <= r2
            imageOut(x,y,:) = color;
        end
    end
end

           		







