function saveImages(dirName,fileName,images)
% save a set of images.
%
% SAVEIMAGES(DIRNAME, FILENAME, IMAGE_CELL) get the images (in JPEG format) 
% contained in the cell array IMAGE_CELL and save them in the directory
% DIRNAME, with name FILENAME.
%
% Copyright (C) by University Paris-Est - Vincent NOZICK   
% Mail : nozick@univ-mlv.fr
%   
% This source code is free software; you can redistribute it and/or modify
% it under the terms of the GNU Lesser General Public License as published by
% the Free Software Foundation; either version 3 of the License, or
% (at your option) any later version.
%
% This source code is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
% GNU Lesser General Public License for more details.
%
% You should have received a copy of the GNU Lesser General Public License
% along with this program. If not, see <http://www.gnu.org/licenses/>.
% 
% Author : Vincent Nozick (nozick@univ-mlv.fr)

for i=1:length(images)
    imageFileName = strcat(dirName, fileName, num2str(i-1), '.jpg');
    imwrite(images{i},imageFileName);
end



